be.fgov.ehealth.mediprima.core.v1

## Class MedicalCoverCommonInformationType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DoctorType, HospitalizationType, MedicalTransportationType, MiscellaneousType, ParamedicType, PharmaceuticalDrugType, ProsthesisType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:46+01:00",
                 comments="JAXB RI v2.3.7")
      public class MedicalCoverCommonInformationType
      extends Object
      implements Serializable

  Java class for MedicalCoverCommonInformationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MedicalCoverCommonInformationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ValidityPeriod" type="{urn:be:fgov:ehealth:mediprima:core:v1}PeriodType"/>
               <element name="PswcSupport" type="{urn:be:fgov:ehealth:mediprima:core:v1}PswcSupportType" minOccurs="0"/>
               <element name="AmountPatientPartMax" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="AllowedSupplements" type="{urn:be:fgov:ehealth:mediprima:core:v1}AllowedSupplementsType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicalCoverCommonInformationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllowedSupplementsType` | `getAllowedSupplements()` Gets the value of the allowedSupplements property.
    `Integer` | `getAmountPatientPartMax()` Gets the value of the amountPatientPartMax property.
    `PswcSupportType` | `getPswcSupport()` Gets the value of the pswcSupport property.
    `PeriodType` | `getValidityPeriod()` Gets the value of the validityPeriod property.
    `void` | `setAllowedSupplements(AllowedSupplementsType value)` Sets the value of the allowedSupplements property.
    `void` | `setAmountPatientPartMax(Integer value)` Sets the value of the amountPatientPartMax property.
    `void` | `setPswcSupport(PswcSupportType value)` Sets the value of the pswcSupport property.
    `void` | `setValidityPeriod(PeriodType value)` Sets the value of the validityPeriod property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedicalCoverCommonInformationType

          public MedicalCoverCommonInformationType()

  - ### Method Detail

    - #### getValidityPeriod

          public PeriodType getValidityPeriod()

      Gets the value of the validityPeriod property.
      Returns:
        possible object is `PeriodType`

    - #### setValidityPeriod

          public void setValidityPeriod(PeriodType value)

      Sets the value of the validityPeriod property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### getPswcSupport

          public PswcSupportType getPswcSupport()

      Gets the value of the pswcSupport property.
      Returns:
        possible object is `PswcSupportType`

    - #### setPswcSupport

          public void setPswcSupport(PswcSupportType value)

      Sets the value of the pswcSupport property.
      Parameters:
        `value` - allowed object is `PswcSupportType`

    - #### getAmountPatientPartMax

          public Integer getAmountPatientPartMax()

      Gets the value of the amountPatientPartMax property.
      Returns:
        possible object is `Integer`

    - #### setAmountPatientPartMax

          public void setAmountPatientPartMax(Integer value)

      Sets the value of the amountPatientPartMax property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getAllowedSupplements

          public AllowedSupplementsType getAllowedSupplements()

      Gets the value of the allowedSupplements property.
      Returns:
        possible object is `AllowedSupplementsType`

    - #### setAllowedSupplements

          public void setAllowedSupplements(AllowedSupplementsType value)

      Sets the value of the allowedSupplements property.
      Parameters:
        `value` - allowed object is `AllowedSupplementsType`

Connector Packaging PERSPHYSICIAN 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.